Name:           cupid
Version:        0.0.2
Release:        1
Summary:        Video/audio capture application

Group:          Multimedia
License:        LGPL
URL:            http://ronald.bitfreak.net/me/cupid.php
Source0:        http://gstreamer.freedesktop.org/src/gst-recorder/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gstreamer-devel >= 0.8.0
BuildRequires: gstreamer-plugins-devel >= 0.8.0
BuildRequires: XFree86-devel >= 4.0.1
BuildRequires: libgnomeui-devel => 2.0
BuildRequires: libgnome-devel => 2.0
BuildRequires: gnome-vfs2-devel => 2.0
BuildRequires: glib2-devel
BuildRequires: gtk2-devel

%description
Cupid is a modern, complete video/audio capture solution for the Linux/GNOME 
desktop. It is based on the GStreamer multimedia framework, which is the de 
facto multimedia framework on the Linux and UNIX desktop. Using GStreamer, 
it supports a variety of container formats and video/audio codecs. Likewise, 
it supports all the current video and audio kernel interfaces, and can be 
extended to supports other systems than Linux simply by writing a GStreamer 
plugin.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
# Note: the find_lang macro requires gettext
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS RELEASE ChangeLog NEWS README TODO docs/notes.txt docs/pipeline.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/cupid.schemas
%{_datadir}/applications/cupid.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome/help/cupid/*
%{_datadir}/omf/cupid/cupid-C.omf

%changelog
* Sun Jan 16 2005 F. Kooman <fkooman@tuxed.net>
- Recreate specfile for new version (used fedora.us template)

* Sun Oct 26 2003 Christian Schaller <Uraeus@gnome.org>
- Use standard datadir setup

* Sun Oct 13 2003 Ronald Bultje <rbultje@ronald.bitfreak.net>
- Remove libgstrec

* Sun Sep 22 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added .desktop file and icon

* Fri Feb 22 2002 Ronald Bultje <rbultje@ronald.bitfreak.net
- set this thing up

